Functions
FLAG_Management
Peripheral Driver » LL Driver » TIMER » Functions

## Functions
__STATIC_INLINE void | ll_timer_clear_countdone_flag_it (timer_regs_t *TIMERx)
| Clear the COUNTDONE interrupt flag. More...
__STATIC_INLINE void | ll_timer_clear_channel0_flag_it (timer_regs_t *TIMERx)
| Clear the CHANNEL0 interrupt flag. More...
__STATIC_INLINE void | ll_timer_clear_channel1_flag_it (timer_regs_t *TIMERx)
| Clear the CHANNEL1 interrupt flag. More...
__STATIC_INLINE void | ll_timer_clear_channel2_flag_it (timer_regs_t *TIMERx)
| Clear the CHANNEL2 interrupt flag. More...
__STATIC_INLINE void | ll_timer_clear_channel3_flag_it (timer_regs_t *TIMERx)
| Clear the CHANNEL3 interrupt flag. More...
__STATIC_INLINE void | ll_timer_clear_blepulse1_flag_it (timer_regs_t *TIMERx)
| Clear the ble pulse 1 interrupt flag. More...
__STATIC_INLINE void | ll_timer_clear_blepulse2_flag_it (timer_regs_t *TIMERx)
| Clear the ble pulse 2 interrupt flag. More...
__STATIC_INLINE void | ll_timer_clear_all_flag_it (timer_regs_t *TIMERx)
| Clear the all interrupt flag. More...
__STATIC_INLINE uint32_t | ll_timer_is_active_flag_it (timer_regs_t *TIMERx)
| Indicate whether interrupt flag (INTSTAT) is set (interrupt is pending). More...

## Detailed Description

## Function Documentation

## ◆ ll_timer_clear_all_flag_it()

__STATIC_INLINE void ll_timer_clear_all_flag_it | ( | timer_regs_t * | TIMERx | ) |

Clear the all interrupt flag.

Register|BitsName --------|-------- INTSTAT | INTSTAT

Parameters

  TIMERx | Timer instance

Return values

  None |

Definition at line 736 of file gr533x_ll_tim.h.

## ◆ ll_timer_clear_blepulse1_flag_it()

__STATIC_INLINE void ll_timer_clear_blepulse1_flag_it | ( | timer_regs_t * | TIMERx | ) |

Clear the ble pulse 1 interrupt flag.

Register|BitsName --------|-------- INTSTAT | INTSTAT

Parameters

  TIMERx | Timer instance

Return values

  None |

Definition at line 706 of file gr533x_ll_tim.h.

## ◆ ll_timer_clear_blepulse2_flag_it()

__STATIC_INLINE void ll_timer_clear_blepulse2_flag_it | ( | timer_regs_t * | TIMERx | ) |

Clear the ble pulse 2 interrupt flag.

Register|BitsName --------|-------- INTSTAT | INTSTAT

Parameters

  TIMERx | Timer instance

Return values

  None |

Definition at line 721 of file gr533x_ll_tim.h.

## ◆ ll_timer_clear_channel0_flag_it()

__STATIC_INLINE void ll_timer_clear_channel0_flag_it | ( | timer_regs_t * | TIMERx | ) |

Clear the CHANNEL0 interrupt flag.

Register|BitsName --------|-------- INTSTAT | INTSTAT

Parameters

  TIMERx | Timer instance

Return values

  None |

Definition at line 646 of file gr533x_ll_tim.h.

## ◆ ll_timer_clear_channel1_flag_it()

__STATIC_INLINE void ll_timer_clear_channel1_flag_it | ( | timer_regs_t * | TIMERx | ) |

Clear the CHANNEL1 interrupt flag.

Register|BitsName --------|-------- INTSTAT | INTSTAT

Parameters

  TIMERx | Timer instance

Return values

  None |

Definition at line 661 of file gr533x_ll_tim.h.

## ◆ ll_timer_clear_channel2_flag_it()

__STATIC_INLINE void ll_timer_clear_channel2_flag_it | ( | timer_regs_t * | TIMERx | ) |

Clear the CHANNEL2 interrupt flag.

Register|BitsName --------|-------- INTSTAT | INTSTAT

Parameters

  TIMERx | Timer instance

Return values

  None |

Definition at line 676 of file gr533x_ll_tim.h.

## ◆ ll_timer_clear_channel3_flag_it()

__STATIC_INLINE void ll_timer_clear_channel3_flag_it | ( | timer_regs_t * | TIMERx | ) |

Clear the CHANNEL3 interrupt flag.

Register|BitsName --------|-------- INTSTAT | INTSTAT

Parameters

  TIMERx | Timer instance

Return values

  None |

Definition at line 691 of file gr533x_ll_tim.h.

## ◆ ll_timer_clear_countdone_flag_it()

__STATIC_INLINE void ll_timer_clear_countdone_flag_it | ( | timer_regs_t * | TIMERx | ) |

Clear the COUNTDONE interrupt flag.

Register|BitsName --------|-------- INTSTAT | INTSTAT

Parameters

  TIMERx | Timer instance

Return values

  None |

Definition at line 631 of file gr533x_ll_tim.h.

## ◆ ll_timer_is_active_flag_it()

__STATIC_INLINE uint32_t ll_timer_is_active_flag_it | ( | timer_regs_t * | TIMERx | ) |

Indicate whether interrupt flag (INTSTAT) is set (interrupt is pending).

Register|BitsName --------|-------- INTSTAT | INTSTAT

Parameters

  TIMERx | Timer instance

Return values

  State | of bit (1 or 0).

Definition at line 751 of file gr533x_ll_tim.h.